import 'package:apus_drones_mobile/constants/UserType.dart';
import 'package:apus_drones_mobile/models/OrderModel.dart';
import 'package:apus_drones_mobile/screens/Appbar.dart';
import 'package:apus_drones_mobile/screens/OrderDetailScreen.dart';
import 'package:apus_drones_mobile/services/OrderService.dart';
import 'package:apus_drones_mobile/widgets/BotNavBar.dart';
import 'package:apus_drones_mobile/widgets/Order.dart';
import 'package:flutter/material.dart';

class OrdersScreen extends StatefulWidget {
  static final String routeName = 'Orders';
  static final int botNavItemIndex = 2;

  @override
  _OrdersScreenState createState() => _OrdersScreenState();
}

class _OrdersScreenState extends State<OrdersScreen> {
  List<OrderModel> orderList = [];
  OrderService service = new OrderService();

  _loadOrders() {
    service.myOrders().then((orders) => this.setState(() {
          orderList = orders;
        }));
  }

  @override
  void initState() {
    super.initState();
    this._loadOrders();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: Appbar(title: 'Meus Pedidos'),
      bottomNavigationBar: BotNavBar(role: UserType.CUSTOMER),
      body: Center(
        child: Column(
          children: [
            Container(
              padding: EdgeInsets.only(top: 14),
              constraints: BoxConstraints(maxWidth: 200),
              child: Text(
                "Seus pedidos estão ordenados por data, você verá os pedidos mais recentes primeiro",
                textAlign: TextAlign.center,
                style: TextStyle(
                  fontSize: 12,
                  fontStyle: FontStyle.italic,
                ),
              ),
            ),
            Expanded(
              child: ListView.builder(
                itemBuilder: (ctx, index) => GestureDetector(
                  onTap: () => Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) =>
                          OrderDetailScreen(model: this.orderList[index]),
                    ),
                  ),
                  child: Order(
                    model: this.orderList[index],
                  ),
                ),
                itemCount: this.orderList.length,
              ),
            )
          ],
        ),
      ),
    );
  }
}
