import 'package:apus_drones_mobile/assets/config.dart';
import 'package:places_service/places_service.dart';

class LocationService {
  final _placesService = PlacesService();

  LocationService() {
    _placesService.initialize(
      apiKey: Config.GOOGLE_API_KEY,
    );
  }

  Future<PlacesDetails?> getPlaceDetails(String placeId) async {
    if (placeId.isEmpty) {
      return Future.value(null);
    }

    return await _placesService.getPlaceDetails(placeId);
  }

  Future<List<PlacesAutoCompleteResult>> getPlaces(String searchTerm) async {
    if (searchTerm.length < 5) {
      return [];
    }
    try {
      final autoCompleteSuggestions =
          await _placesService.getAutoComplete(searchTerm);
      return autoCompleteSuggestions;
    } catch (error) {
      return [];
    }
  }
}
