import 'dart:convert';

import 'package:apus_drones_mobile/assets/config.dart';
import 'package:apus_drones_mobile/models/CustomerModel.dart';
import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:apus_drones_mobile/utils/httpHeaders.dart';
import 'package:http/http.dart' as http;

class ProfileService {
  Future<void> updateCustomerProfile(CustomerModel customer) async {
    print(json.encode(customer.toJson()));
    http.Response response = await http.post(
        Uri.parse('${Config.apiURL}/customers'),
        headers: await getHttpHeaders(),
        body: json.encode(customer.toJson()));

    if (response.statusCode != 200) {
      throw '${response.statusCode}: ${response.body}';
    }
    print('response: ${response.statusCode} - ${response.body}');
  }

  Future<void> updatePartnerProfile(PartnerModel partner) async {
    print(json.encode(partner.toJson()));
    http.Response response = await http.post(
        Uri.parse('${Config.apiURL}/partners'),
        headers: await getHttpHeaders(),
        body: json.encode(partner.toJson()));

    if (response.statusCode != 200) {
      throw '${response.statusCode}: ${response.body}';
    }
    print('response: ${response.statusCode} - ${response.body}');
  }
}
