import 'package:apus_drones_mobile/screens/clients/ListOfSearch.dart';
import 'package:flutter/material.dart';

class Searchbar extends StatefulWidget {
  const Searchbar({Key? key}) : super(key: key);

  @override
  _SearchbarState createState() => _SearchbarState();
}

class _SearchbarState extends State<Searchbar> {
  final myController = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Padding(
        padding: EdgeInsets.fromLTRB(15.0, 30, 15.0, 40.0),
        child: Container(
          width: double.infinity,
          height: 40,
          decoration: BoxDecoration(
              color: Colors.white, border: Border.all(color: Colors.grey)),
          child: Center(
            child: TextField(
              controller: myController,
              onSubmitted: (String text) {
                Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => ListOfSearch(text)));
              },
              decoration: InputDecoration(
                  prefixIcon: Icon(Icons.search),
                  suffixIcon: IconButton(
                    icon: Icon(Icons.clear),
                    onPressed: () {
                      myController.text = '';
                    },
                  ),
                  hintText: 'Pesquisar',
                  border: InputBorder.none),
            ),
          ),
        ));
  }
}
