import 'package:apus_drones_mobile/assets/config.dart';
import 'package:apus_drones_mobile/models/SearchModel.dart';
import 'package:apus_drones_mobile/providers/AuthProvider.dart';
import 'package:apus_drones_mobile/services/SearchService.dart';
import 'package:mockito/annotations.dart';
import 'package:mockito/mockito.dart';
import 'package:test/expect.dart';
import 'package:test/scaffolding.dart';
import 'package:http/http.dart' as http;

import 'SearchService_test.mocks.dart';

@GenerateMocks([http.Client, AuthProvider])
void main() {
  group('SearchService', () {
    test('should search', () async {
      final client = MockClient();
      final authProvider = MockAuthProvider();
      final searchService = SearchService(client, authProvider);

      when(authProvider.getHttpHeaders()).thenAnswer((_) async => {});
      when(client
          .get(Uri.parse('${Config.apiURL}/search/something'),
              headers: {})).thenAnswer(
          (_) async => http.Response('{"products": [], "partners": []}', 200));

      expect(await searchService.getSearch('something'), isA<SearchModel>());
    });
  });
}
